## org.eclipse.datatools.connectivity.oda.design
Interface SortKey

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SortKey

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Sort Key'. A dynamic sort key specified in a SortCriteria.

The following features are supported:

- `Column Identifier`
- `Column Name`
- `Column Position`
- `Sort Direction`
- `Null Value Ordering`
- `Optional`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getSortKey()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataElementIdentifier` `getColumnIdentifier()` Returns the value of the 'Column Identifier' containment reference.
`java.lang.String` `getColumnName()` Returns the value of the 'Column Name' attribute.
`int` `getColumnPosition()` Returns the value of the 'Column Position' attribute.
`NullOrderingType` `getNullValueOrdering()` Returns the value of the 'Null Value Ordering' attribute.
`SortDirectionType` `getSortDirection()` Returns the value of the 'Sort Direction' attribute.
`boolean` `isOptional()` Returns the value of the 'Optional' attribute.
`boolean` `isSetColumnPosition()` Returns whether the value of the '`Column Position`' attribute is set.
`boolean` `isSetNullValueOrdering()` Returns whether the value of the '`Null Value Ordering`' attribute is set.
`boolean` `isSetOptional()` Returns whether the value of the '`Optional`' attribute is set.
`boolean` `isSetSortDirection()` Returns whether the value of the '`Sort Direction`' attribute is set.
`void` `setColumnIdentifier(DataElementIdentifier value)` Sets the value of the '`Column Identifier`' containment reference.
`void` `setColumnName(java.lang.String value)` Sets the value of the '`Column Name`' attribute.
`void` `setColumnPosition(int value)` Sets the value of the '`Column Position`' attribute.
`void` `setNullValueOrdering(NullOrderingType value)` Sets the value of the '`Null Value Ordering`' attribute.
`void` `setOptional(boolean value)` Sets the value of the '`Optional`' attribute.
`void` `setSortDirection(SortDirectionType value)` Sets the value of the '`Sort Direction`' attribute.
`void` `unsetColumnPosition()` Unsets the value of the '`Column Position`' attribute.
`void` `unsetNullValueOrdering()` Unsets the value of the '`Null Value Ordering`' attribute.
`void` `unsetOptional()` Unsets the value of the '`Optional`' attribute.
`void` `unsetSortDirection()` Unsets the value of the '`Sort Direction`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getColumnIdentifier

    DataElementIdentifier getColumnIdentifier()

  Returns the value of the 'Column Identifier' containment reference. Uniquely identifies a result set column by name and/or position. It must reference one of the columns associated with the same ResultSetDefinition.

  Returns:
    the value of the 'Column Identifier' containment reference.
  Since:
    3.3.2
  See Also:
    `setColumnIdentifier(DataElementIdentifier)`, `DesignPackage.getSortKey_ColumnIdentifier()`

### setColumnIdentifier

    void setColumnIdentifier(DataElementIdentifier value)

  Sets the value of the '`Column Identifier`' containment reference.

  Parameters:
    `value` - the new value of the 'Column Identifier' containment reference.
  Since:
    3.3.2
  See Also:
    `getColumnIdentifier()`

### getColumnName

    java.lang.String getColumnName()

  Returns the value of the 'Column Name' attribute. The unique name of a result set column. It must reference one of the columns associated with the same ResultSetDefinition. If a column can only be identified by position, this name may be empty.

  Returns:
    the value of the 'Column Name' attribute.
  See Also:
    `setColumnName(String)`, `DesignPackage.getSortKey_ColumnName()`

### setColumnName

    void setColumnName(java.lang.String value)

  Sets the value of the '`Column Name`' attribute.

  Parameters:
    `value` - the new value of the 'Column Name' attribute.
  See Also:
    `getColumnName()`

### getColumnPosition

    int getColumnPosition()

  Returns the value of the 'Column Position' attribute. The 1-based index position (left-to-right order) of a result set column.

  Returns:
    the value of the 'Column Position' attribute.
  See Also:
    `isSetColumnPosition()`, `unsetColumnPosition()`, `setColumnPosition(int)`, `DesignPackage.getSortKey_ColumnPosition()`

### setColumnPosition

    void setColumnPosition(int value)

  Sets the value of the '`Column Position`' attribute.

  Parameters:
    `value` - the new value of the 'Column Position' attribute.
  See Also:
    `isSetColumnPosition()`, `unsetColumnPosition()`, `getColumnPosition()`

### unsetColumnPosition

    void unsetColumnPosition()

  Unsets the value of the '`Column Position`' attribute.

  See Also:
    `isSetColumnPosition()`, `getColumnPosition()`, `setColumnPosition(int)`

### isSetColumnPosition

    boolean isSetColumnPosition()

  Returns whether the value of the '`Column Position`' attribute is set.

  Returns:
    whether the value of the 'Column Position' attribute is set.
  See Also:
    `unsetColumnPosition()`, `getColumnPosition()`, `setColumnPosition(int)`

### getSortDirection

    SortDirectionType getSortDirection()

  Returns the value of the 'Sort Direction' attribute. The default value is `"Ascending"`. The literals are from the enumeration `SortDirectionType`. The sort direction of this result set column.

  Returns:
    the value of the 'Sort Direction' attribute.
  See Also:
    `SortDirectionType`, `isSetSortDirection()`, `unsetSortDirection()`, `setSortDirection(SortDirectionType)`, `DesignPackage.getSortKey_SortDirection()`

### setSortDirection

    void setSortDirection(SortDirectionType value)

  Sets the value of the '`Sort Direction`' attribute.

  Parameters:
    `value` - the new value of the 'Sort Direction' attribute.
  See Also:
    `SortDirectionType`, `isSetSortDirection()`, `unsetSortDirection()`, `getSortDirection()`

### unsetSortDirection

    void unsetSortDirection()

  Unsets the value of the '`Sort Direction`' attribute.

  See Also:
    `isSetSortDirection()`, `getSortDirection()`, `setSortDirection(SortDirectionType)`

### isSetSortDirection

    boolean isSetSortDirection()

  Returns whether the value of the '`Sort Direction`' attribute is set.

  Returns:
    whether the value of the 'Sort Direction' attribute is set.
  See Also:
    `unsetSortDirection()`, `getSortDirection()`, `setSortDirection(SortDirectionType)`

### getNullValueOrdering

    NullOrderingType getNullValueOrdering()

  Returns the value of the 'Null Value Ordering' attribute. The literals are from the enumeration `NullOrderingType`. The ordering of null vs. non-null values in the sort order. Default value is "Unknown", i.e. not specified.

  Returns:
    the value of the 'Null Value Ordering' attribute.
  See Also:
    `NullOrderingType`, `isSetNullValueOrdering()`, `unsetNullValueOrdering()`, `setNullValueOrdering(NullOrderingType)`, `DesignPackage.getSortKey_NullValueOrdering()`

### setNullValueOrdering

    void setNullValueOrdering(NullOrderingType value)

  Sets the value of the '`Null Value Ordering`' attribute.

  Parameters:
    `value` - the new value of the 'Null Value Ordering' attribute.
  See Also:
    `NullOrderingType`, `isSetNullValueOrdering()`, `unsetNullValueOrdering()`, `getNullValueOrdering()`

### unsetNullValueOrdering

    void unsetNullValueOrdering()

  Unsets the value of the '`Null Value Ordering`' attribute.

  See Also:
    `isSetNullValueOrdering()`, `getNullValueOrdering()`, `setNullValueOrdering(NullOrderingType)`

### isSetNullValueOrdering

    boolean isSetNullValueOrdering()

  Returns whether the value of the '`Null Value Ordering`' attribute is set.

  Returns:
    whether the value of the 'Null Value Ordering' attribute is set.
  See Also:
    `unsetNullValueOrdering()`, `getNullValueOrdering()`, `setNullValueOrdering(NullOrderingType)`

### isOptional

    boolean isOptional()

  Returns the value of the 'Optional' attribute. The default value is `"false"`. Indicates whether this sort key can be excluded at runtime. Default value is false.

  Returns:
    the value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `setOptional(boolean)`, `DesignPackage.getSortKey_Optional()`

### setOptional

    void setOptional(boolean value)

  Sets the value of the '`Optional`' attribute.

  Parameters:
    `value` - the new value of the 'Optional' attribute.
  See Also:
    `isSetOptional()`, `unsetOptional()`, `isOptional()`

### unsetOptional

    void unsetOptional()

  Unsets the value of the '`Optional`' attribute.

  See Also:
    `isSetOptional()`, `isOptional()`, `setOptional(boolean)`

### isSetOptional

    boolean isSetOptional()

  Returns whether the value of the '`Optional`' attribute is set.

  Returns:
    whether the value of the 'Optional' attribute is set.
  See Also:
    `unsetOptional()`, `isOptional()`, `setOptional(boolean)`